"""
This file is generated by generator/run.py based on the Chrome DevTools Protocol.

The Browser domain defines methods and events for browser managing.
https://chromedevtools.github.io/devtools-protocol/tot/Browser/

***************************************************
                    Events
***************************************************
"""
from __future__ import annotations

from typing import Literal

from cdpkit.protocol._types import (
    Page,
)
from cdpkit.protocol.base import CDPEvent


class DownloadWillBegin(CDPEvent):
    """ Fired when page is about to start a download. """

    frameId: Page.FrameId  # deprecated
    guid: str  # deprecated
    url: str  # deprecated
    suggestedFilename: str  # deprecated


class DownloadProgress(CDPEvent):
    """ Fired when download makes progress. Last call has |done| == true. """

    guid: str  # deprecated
    totalBytes: float  # deprecated
    receivedBytes: float  # deprecated
    state: Literal['inProgress', 'completed', 'canceled']  # deprecated
    filePath: str | None = None  # experimental deprecated
