"""
This file is generated by generator/run.py based on the Chrome DevTools Protocol.


https://chromedevtools.github.io/devtools-protocol/tot/LayerTree/

***************************************************
                    Methods
***************************************************
"""
from __future__ import annotations

from cdpkit.protocol._types import (
    DOM,
    LayerTree,
)
from cdpkit.protocol.base import JSON_DICT, CDPMethod, InputModel, OutputModel


class CompositingReasonsInput(InputModel):

    layerId: LayerTree.LayerId  # deprecated


class CompositingReasonsOutput(OutputModel):

    compositingReasons: list[str]  # deprecated
    compositingReasonIds: list[str]  # deprecated


class CompositingReasons(CDPMethod[CompositingReasonsOutput]):  # deprecated
    """ Provides the reasons why the given layer was composited. """

    INPUT_VALIDATOR = CompositingReasonsInput
    OUTPUT_VALIDATOR = CompositingReasonsOutput

    def __init__(
        self,
        *,
        layer_id: LayerTree.LayerId
    ):
        super().__init__(
            layerId=layer_id
        )


class Disable(CDPMethod[None]):  # deprecated
    """ Disables compositing tree inspection. """

    INPUT_VALIDATOR = None
    OUTPUT_VALIDATOR = None


class Enable(CDPMethod[None]):  # deprecated
    """ Enables compositing tree inspection. """

    INPUT_VALIDATOR = None
    OUTPUT_VALIDATOR = None


class LoadSnapshotInput(InputModel):

    tiles: list[LayerTree.PictureTile]  # deprecated


class LoadSnapshotOutput(OutputModel):

    snapshotId: LayerTree.SnapshotId  # deprecated


class LoadSnapshot(CDPMethod[LoadSnapshotOutput]):  # deprecated
    """ Returns the snapshot identifier. """

    INPUT_VALIDATOR = LoadSnapshotInput
    OUTPUT_VALIDATOR = LoadSnapshotOutput

    def __init__(
        self,
        *,
        tiles: list[LayerTree.PictureTile]
    ):
        super().__init__(
            tiles=tiles
        )


class MakeSnapshotInput(InputModel):

    layerId: LayerTree.LayerId  # deprecated


class MakeSnapshotOutput(OutputModel):

    snapshotId: LayerTree.SnapshotId  # deprecated


class MakeSnapshot(CDPMethod[MakeSnapshotOutput]):  # deprecated
    """ Returns the layer snapshot identifier. """

    INPUT_VALIDATOR = MakeSnapshotInput
    OUTPUT_VALIDATOR = MakeSnapshotOutput

    def __init__(
        self,
        *,
        layer_id: LayerTree.LayerId
    ):
        super().__init__(
            layerId=layer_id
        )


class ProfileSnapshotInput(InputModel):

    snapshotId: LayerTree.SnapshotId  # deprecated
    minRepeatCount: int | None = None  # deprecated
    minDuration: float | None = None  # deprecated
    clipRect: DOM.Rect | None = None  # deprecated


class ProfileSnapshotOutput(OutputModel):

    timings: list[LayerTree.PaintProfile]  # deprecated


class ProfileSnapshot(CDPMethod[ProfileSnapshotOutput]):

    INPUT_VALIDATOR = ProfileSnapshotInput
    OUTPUT_VALIDATOR = ProfileSnapshotOutput

    def __init__(
        self,
        *,
        snapshot_id: LayerTree.SnapshotId,
        min_repeat_count: int | None = None,
        min_duration: float | None = None,
        clip_rect: DOM.Rect | None = None
    ):
        super().__init__(
            snapshotId=snapshot_id,
            minRepeatCount=min_repeat_count,
            minDuration=min_duration,
            clipRect=clip_rect
        )


class ReleaseSnapshotInput(InputModel):

    snapshotId: LayerTree.SnapshotId  # deprecated


class ReleaseSnapshot(CDPMethod[None]):  # deprecated
    """ Releases layer snapshot captured by the back-end. """

    INPUT_VALIDATOR = ReleaseSnapshotInput
    OUTPUT_VALIDATOR = None

    def __init__(
        self,
        *,
        snapshot_id: LayerTree.SnapshotId
    ):
        super().__init__(
            snapshotId=snapshot_id
        )


class ReplaySnapshotInput(InputModel):

    snapshotId: LayerTree.SnapshotId  # deprecated
    fromStep: int | None = None  # deprecated
    toStep: int | None = None  # deprecated
    scale: float | None = None  # deprecated


class ReplaySnapshotOutput(OutputModel):

    dataURL: str  # deprecated


class ReplaySnapshot(CDPMethod[ReplaySnapshotOutput]):  # deprecated
    """ Replays the layer snapshot and returns the resulting bitmap. """

    INPUT_VALIDATOR = ReplaySnapshotInput
    OUTPUT_VALIDATOR = ReplaySnapshotOutput

    def __init__(
        self,
        *,
        snapshot_id: LayerTree.SnapshotId,
        from_step: int | None = None,
        to_step: int | None = None,
        scale: float | None = None
    ):
        super().__init__(
            snapshotId=snapshot_id,
            fromStep=from_step,
            toStep=to_step,
            scale=scale
        )


class SnapshotCommandLogInput(InputModel):

    snapshotId: LayerTree.SnapshotId  # deprecated


class SnapshotCommandLogOutput(OutputModel):

    commandLog: list[JSON_DICT]  # deprecated


class SnapshotCommandLog(CDPMethod[SnapshotCommandLogOutput]):  # deprecated
    """ Replays the layer snapshot and returns canvas log. """

    INPUT_VALIDATOR = SnapshotCommandLogInput
    OUTPUT_VALIDATOR = SnapshotCommandLogOutput

    def __init__(
        self,
        *,
        snapshot_id: LayerTree.SnapshotId
    ):
        super().__init__(
            snapshotId=snapshot_id
        )
